# Circos color configuration: http://circos.ca/tutorials/lessons/2d_tracks/connectors/configuration

# RGB color definition. Colors are refered to within configuration files
# by their name. In order to use a color, you must define it here.
#
# e.g. if you really must use 'bisque', then add
#
# 'bisque': '#FFE4C4'
#
# Many useful colors are already defined. In general, given a HUE, these
# colors are defined
#
# vlHUE (very light HUE, e.g. vlred)
# lHUE  (light HUE, e.g. red)
# HUE   (e.g. red)
# dHUE  (dark HUE, e.g. dred)
#
# In addition to hues, two other color groups are defined.
#
# - cytogenetic band colors (e.g. gposNNN, acen, stalk, etc.) which
#   correspond to colors on ideogram bands
# - UCSC chromosome color palette (e.g. chrNN, chrUn, chrNA)

circos = {'optblue': '#3785DD',
          'optgreen': '#37DD7D',
          'optyellow': '#DDD737',
          'optorange': '#DDA437',
          'optred': '#DD3737',
          'optviolet': '#9137DD',
          'optpurple': '#DB37DD',

          'white': '#FFFFFF',
          'vvvvlgrey': '#FAFAFA',
          'vvvlgrey': '#F0F0F0',
          'vvlgrey': '#E6E6E6',
          'vlgrey': '#DCDCDC',
          'lgrey': '#D2D2D2',
          'grey': '#C8C8C8',
          'dgrey': '#AAAAAA',
          'vdgrey': '#8C8C8C',
          'vvdgrey': '#646464',
          'vvvdgrey': '#464646',
          'vvvvdgrey': '#282828',
          'black': '#000000',

          'vlred': '#FFC1C8',
          'lred': '#FF7A89',
          'red': '#F72A42',
          'dred': '#CD3345',

          'vlgreen': '#CCFFDA',
          'lgreen': '#80FFA4',
          'green': '#33CC5E',
          'dgreen': '#269947',
  
          'vlblue': '#80B0FF',
          'lblue': '#4089FF',
          'blue': '#3674D9',
          'dblue': '#265299',

          'vlpurple': '#F280FF',
          'lpurple': '#EC40FF',
          'purple': '#BD33CC',
          'dpurple': '#762080',

          'vlyellow': '#FFFDCA',
          'lyellow': '#FFFC96',
          'yellow': '#FFFF00',
          'dyellow': '#BFBA30',

          'lime': '#BAFF00',

          'vlorange': '#FFE4C1',
          'lorange': '#FFBB6E',
          'orange': '#FF8800',
          'dorange': '#DD8F37',

          # karyotype colors
          'gpos100': '#000000',
          'gpos': '#000000',
          'gpos75': '#828282',
          'gpos66': '#A0A0A0',
          'gpos50': '#C8C8C8',
          'gpos33': '#D2D2D2',
          'gpos25': '#C8C8C8',
          'gvar': '#DCDCDC',
          'gneg': '#FFFFFF',
          'acen': '#D92F27',
          'stalk': '#647FA4',
 
          # others
          'select': '#87B1FF',

          # new york times cmyk-safe
          # roygbiv - normal
          'nyt_blue': '#6898B2',
          'nyt_green': '#898160',
          'nyt_yellow': '#F1DD75',
          'nyt_orange': '#E69239',
          'nyt_red': '#D92F27',

          # chromosome color map (UCSC)
          'chr1': '#996600',
          'chr2': '#666600',
          'chr3': '#99991E',
          'chr4': '#CC0000',
          'chr5': '#FF0000',
          'chr6': '#FF00CC',
          'chr7': '#FFCCCC',
          'chr8': '#FF9900',
          'chr9': '#FFCC00',
          'chr10': '#FFFF00',
          'chr11': '#CCFF00',
          'chr12': '#00FF00',
          'chr13': '#358000',
          'chr14': '#0000CC',
          'chr15': '#6699FF',
          'chr16': '#99CCFF',
          'chr17': '#00FFFF',
          'chr18': '#CCFFFF',
          'chr19': '#9900CC',
          'chr20': '#CC33FF',
          'chr21': '#CC99FF',
          'chr22': '#666666',
          'chr23': '#999999',
          'chrX': '#999999',
          'chrY': '#CCCCCC',
          'chr24': '#CCCCCC',
          'chrM': '#CCCC99',
          'chr0': '#CCCC99',
          'chrUn': '#79CC3D',
          'chrNA': '#FFFFFF',

          # methylation level color map
          'meth0': '#D92121',
          'meth1': '#D92821',
          'meth2': '#D92F21',
          'meth3': '#D93721',
          'meth4': '#D93E21',
          'meth5': '#D94521',
          'meth6': '#D94D21',
          'meth7': '#D95421',
          'meth8': '#D95B21',
          'meth9': '#D96321',
          'meth10': '#D96A21',
          'meth11': '#D97221',
          'meth12': '#D97921',
          'meth13': '#D98021',
          'meth14': '#D98821',
          'meth15': '#D98F21',
          'meth16': '#D99621',
          'meth17': '#D99E21',
          'meth18': '#D9A521',
          'meth19': '#D9AD21',
          'meth20': '#D9B421',
          'meth21': '#D9BB21',
          'meth22': '#D9C321',
          'meth23': '#D9CA21',
          'meth24': '#D9D121',
          'meth25': '#D9D921',
          'meth26': '#D1D921',
          'meth27': '#CAD921',
          'meth28': '#C3D921',
          'meth29': '#BBD921',
          'meth30': '#B4D921',
          'meth31': '#ADD921',
          'meth32': '#A5D921',
          'meth33': '#9ED921',
          'meth34': '#96D921',
          'meth35': '#8FD921',
          'meth36': '#88D921',
          'meth37': '#80D921',
          'meth38': '#79D921',
          'meth39': '#72D921',
          'meth40': '#6AD921',
          'meth41': '#63D921',
          'meth42': '#5BD921',
          'meth43': '#54D921',
          'meth44': '#4DD921',
          'meth45': '#45D921',
          'meth46': '#3ED921',
          'meth47': '#37D921',
          'meth48': '#2FD921',
          'meth49': '#28D921',
          'meth50': '#21D921',
          'meth51': '#21D928',
          'meth52': '#21D92F',
          'meth53': '#21D937',
          'meth54': '#21D93E',
          'meth55': '#21D945',
          'meth56': '#21D94D',
          'meth57': '#21D954',
          'meth58': '#21D95B',
          'meth59': '#21D963',
          'meth60': '#21D96A',
          'meth61': '#21D972',
          'meth62': '#21D979',
          'meth63': '#21D980',
          'meth64': '#21D988',
          'meth65': '#21D98F',
          'meth66': '#21D996',
          'meth67': '#21D99E',
          'meth68': '#21D9A5',
          'meth69': '#21D9AD',
          'meth70': '#21D9B4',
          'meth71': '#21D9BB',
          'meth72': '#21D9C3',
          'meth73': '#21D9CA',
          'meth74': '#21D9D1',
          'meth75': '#21D9D9',
          'meth76': '#21D1D9',
          'meth77': '#21CAD9',
          'meth78': '#21C3D9',
          'meth79': '#21BBD9',
          'meth80': '#21B4D9',
          'meth81': '#21ADD9',
          'meth82': '#21A5D9',
          'meth83': '#219ED9',
          'meth84': '#2196D9',
          'meth85': '#218FD9',
          'meth86': '#2188D9',
          'meth87': '#2180D9',
          'meth88': '#2179D9',
          'meth89': '#2172D9',
          'meth90': '#216AD9',
          'meth91': '#2163D9',
          'meth92': '#215BD9',
          'meth93': '#2154D9',
          'meth94': '#214DD9',
          'meth95': '#2145D9',
          'meth96': '#213ED9',
          'meth97': '#2137D9',
          'meth98': '#212FD9',
          'meth99': '#2128D9',
          'meth100': '#2121D9'}
